Package org.spongepowered.asm.mixin.transformer

## Enum ClassInfo.SearchType

- java.lang.Object
- - java.lang.Enum<ClassInfo.SearchType>
  - - org.spongepowered.asm.mixin.transformer.ClassInfo.SearchType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ClassInfo.SearchType>`

Enclosing class:
  ClassInfo

    public static enum ClassInfo.SearchType
    extends java.lang.Enum<ClassInfo.SearchType>

Search type for the findInHierarchy methods, replaces a boolean flag which made calling code difficult to read

### Enum Constant Summary

Enum Constants
`ALL_CLASSES` Include this class when searching in the hierarchy
`SUPER_CLASSES_ONLY` Only walk the superclasses when searching the hierarchy

### Method Summary

All Methods Static Methods Concrete Methods
`static ClassInfo.SearchType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ClassInfo.SearchType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALL_CLASSES

    public static final ClassInfo.SearchType ALL_CLASSES

Include this class when searching in the hierarchy

#### SUPER_CLASSES_ONLY

    public static final ClassInfo.SearchType SUPER_CLASSES_ONLY

Only walk the superclasses when searching the hierarchy

### Method Detail

#### values

    public static ClassInfo.SearchType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClassInfo.SearchType c : ClassInfo.SearchType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClassInfo.SearchType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null